# DataExchange
TKSTEP209
StepFEA

# StepFEA_AlignedCurve3dElementCoordinateSystem Class Reference

Representation of STEP entity AlignedCurve3dElementCoordinateSystem
.

`#include <StepFEA_AlignedCurve3dElementCoordinateSystem.hxx>`

Inheritance diagram for StepFEA_AlignedCurve3dElementCoordinateSystem:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_AlignedCurve3dElementCoordinateSystem ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepFEA_FeaAxis2Placement3d)&aCoordinateSystem)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaAxis2Placement3d | CoordinateSystem () const
| Returns field CoordinateSystem .
Standard_EXPORT void | SetCoordinateSystem (const Handle(StepFEA_FeaAxis2Placement3d)&CoordinateSystem)
| Set field CoordinateSystem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_FeaAxis2Placement3d | theCoordinateSystem

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_AlignedCurve3dElementCoordinateSystem::StepFEA_AlignedCurve3dElementCoordinateSystem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepFEA_FeaAxis2Placement3d StepFEA_AlignedCurve3dElementCoordinateSystem::CoordinateSystem | ( |  | ) | const

Standard_EXPORT const StepFEA_AlignedCurve3dElementCoordinateSystem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaRepresentationItem.

Standard_EXPORT void StepFEA_AlignedCurve3dElementCoordinateSystem::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepFEA_FeaAxis2Placement3d)& | aCoordinateSystem
| ) |

Standard_EXPORT void StepFEA_AlignedCurve3dElementCoordinateSystem::SetCoordinateSystem | ( | const Handle(StepFEA_FeaAxis2Placement3d)& | CoordinateSystem | ) |

## Field Documentation

Handle_StepFEA_FeaAxis2Placement3d StepFEA_AlignedCurve3dElementCoordinateSystem::theCoordinateSystem`[private]`

The documentation for this class was generated from the following file:

- StepFEA_AlignedCurve3dElementCoordinateSystem.hxx